<?php

if(session_status() !== PHP_SESSION_ACTIVE){
    session_start();
}


    // $_SESSION['cidade_atual'] = '';
    //$categoria = get_the_title();
   // echo $_SESSION['cidade_atual'];
    //$categoria = single_cat_title();
        //$categoria = get_category_link();
        // Get the post categories.
        //$categoria = get_the_terms( $post_id, category );

        // add_categories_to_the_title
        //$categoria1 = get_cat_name();
        //$categoria = get_the_category();
         //$categoria = the_category();

        //$id = get_the_id(); // id do post       

        //$categoria = $_SESSION['cidade_atual'];         

        //$title .= ' em ' . $categoria; 


function add_categories_to_the_title( $title, $id ) {

    //$cats_nome = single_cat_title();
    //echo 'deucerto! nomeda da categoria: ' . $cats_nome;

        /*
        $categories = get_the_category();
        $cats_string = '';
        if ( ! empty($categories) ) {
            foreach ( $categories as $term ) {
                $cats_string .= $term->name . ' ';
                $categoria_id = get_queried_object_id('$cats_string');
            }
        }
        if ( $cats_string ) {

            //global $category;
            //$categoria_id = get_queried_object_id();
            $title .= ' em ' . $cats_string . ' ID: '. $categoria_id;
        }
        */

        if ( is_category() && 'post' == get_post_type( $id ) ) {
            $_SESSION['cidade_atual'] = single_cat_title('', false);
            if ( ! empty($_SESSION['cidade_atual']) ) {
            $title .= ' em ' . $_SESSION['cidade_atual'] ;
            } else {
                $title = 'Ribeirão Preto' ;
            }
        }


    if ( is_singular( 'post' ) && 'post' == get_post_type( $id ) ) {  // it will work only for posts on single page, but you can modify this 
        /* condition para várias categorias
        $categories = get_the_category();
        $cats_string = '';
        if ( ! empty($categories) ) {
            foreach ( $categories as $term ) {
                $cats_string .= $term->name . ' ';
                $categoria_id = get_queried_object_id('$cats_string');
            }
        }
        if ( $cats_string ) {

            $title .= ' em ' . $cats_string . ' ID: '. $categoria_id;
        }
        */
        if ( ! empty($_SESSION['cidade_atual']) ) {
            $title .= ' em ' . $_SESSION['cidade_atual'] ;
        }    

    }  

      

    return $title;
}
add_filter( 'the_title', 'add_categories_to_the_title', 10, 2 );


